Subject: Re: bug#51335: 29.0.50; Use warnings facility for reporting Gnus errors

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 24 Oct 2021 20:37:40 +0200

Eric Abrahamsen <[email-masked]> writes:

> - Calls `ding'. This function returns nil on my system, dunno if it does
>   anything on other systems.

(ding) gives a beep and/or flashes the "visual bell", but many people
has switched off both -- so you get neither.

> That means there are only
> three places where the `message' isn't immediately swallowed by whatever
> comes next (and there's almost always another message coming next),
> which really means there are only three places where `gnus-error' does
> anything different from `gnus-message'.

Well, it depends on how you've configured your messaging level...

> I think the main concerns here are making sure the user actually sees
> important messages, through a combination of splitting them off into
> their own buffer, so they don't get lost in *Messages*, and potentially
> delaying display until a particular action is complete, and the user has
> a chance to see them.

My worry is that we're annoying users with warnings that aren't interesting.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no